Loading...
Searching...
No Matches
confsearch.cpp File Reference
`#include <openbabel/babelconfig.h>`
`#include <openbabel/atom.h>`
`#include <openbabel/bond.h>`
`#include <openbabel/forcefield.h>`
`#include <openbabel/rotamer.h>`
`#include <openbabel/rotor.h>`
`#include <openbabel/math/align.h>`
`#include <openbabel/tree/tree.hh>`
`#include <openbabel/tree/tree_util.hh>`
`#include <openbabel/math/vector3.h>`
`#include <openbabel/elements.h>`
`#include <float.h>`
`#include <algorithm>`
`#include <limits.h>`
`#include <iomanip>`

## Namespaces

namespace | OpenBabel

## Functions

bool | sortpred_b (const OBDiversePoses::PosePair &a, const OBDiversePoses::PosePair &b)
std::vector< vector3 > | GetHeavyAtomCoords (const OBMol *mol, const std::vector< vector3 > &all_coords)
void | UpdateConformersFromTree (OBMol *mol, std::vector< double > &energies, OBDiversePoses *divposes, bool verbose)

## Detailed Description

Conformer searching routines.